Subject: Re: bug#50806: 27.2; [PATCH] Optimize ansi-color.el

From: <[email-masked]>
Date: Mon, 04 Oct 2021 12:07:09 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> <[email-masked]> writes:
>
>> Ok, thanks. I have actually already prepared patches for all these
>> features: full-color in ansi-color.el and term.el and also "basic" ANSI
>> escapes 1-8 for term.el that you mentioned.
>>
>> I guess there's no harm in sending them right now.
>
> We could apply both the patch to optimize ansi-color.el and add this new
> stuff now (to the Emacs trunk, i.e., Emacs 29), but there was some
> discussion about merging...  er...  something?  That I didn't quite
> understand?  :-)

Yeah sorry for the confusion. We were talking about "merging" two vector
variables of length 8 into one vector variable of length 16,
specifically, replacing the two
'ansi-color-*-colors-vector' variables with one
'ansi-color-colors-vector'.

These two variables are public and introduced in Emacs 28. If we wanted
to merge them, we'd have to do it on the Emacs-28 branch. However, the
performance gain from having them merged is negligible, so I think there
will be less complications if we just leave them as they are. This means
that patching Emacs-28 isn't required and all my patches from my second
mail onward are meant for Emacs 29.

>
> So just to clarify -- 
>
> Subject: [PATCH] Optimize ansi-color.el
>
> and
>
> Subject: [PATCH 2/4] Add support for 256-color and 24bit ANSI colors in ansi-color
>
> are independent patches, and they should both be applied to Emacs 29?

Yes, [PATCH] Optimize ansi-color.el (from my second e-mail)
and [PATCH 2/4] Add support for 256-color and 24bit ANSI colors in ansi-color

are meant to be applied to Emacs 29 on top of each-other.

>
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no